Package htsjdk.beta.plugin.variants

# Class VariantsFormats

java.lang.Object
htsjdk.beta.plugin.variants.VariantsFormats

public class VariantsFormats extends Object
Class with string constants representing known formats supported by variants codecs.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BCF`
BCF format.
`static final String`
`VCF`
VCF format.

## Constructor Summary

Constructors
Constructor
Description
`VariantsFormats()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### VCF

public static final String VCF
VCF format.

See Also:
  - Constant Field Values

### BCF

public static final String BCF
BCF format.

See Also:
  - Constant Field Values

## Constructor Details

### VariantsFormats

public VariantsFormats()